import React from "react";
import { XExpressionDefinition } from "./XExpressionDefinition";
export interface XExpressionEditorData {
    expression: XExpressionDefinition;
    openFirstTimeWhenEmptyExpression?: boolean;
    onUpdate?: () => void;
}
export declare class XExpressionEditor extends React.Component<XExpressionEditorData, {}> {
    static defaultProps: {
        openFirstTimeWhenEmptyExpression: boolean;
    };
    static contextType: React.Context<import("./ExpressionContext").IExpressionContext>;
    constructor(props: XExpressionEditorData);
    renderEditDialog(): JSX.Element;
    render(): JSX.Element;
}
